Package org.jbpm.services.task.impl.model

## Class CommentImpl

- java.lang.Object
- - org.jbpm.services.task.impl.model.CommentImpl

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.kie.api.task.model.Comment`, `org.kie.internal.task.api.model.InternalComment`

      @Entity
      public class CommentImpl
      extends Object
      implements org.kie.internal.task.api.model.InternalComment

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommentImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `Date` | `getAddedAt()` |
    `org.kie.api.task.model.User` | `getAddedBy()` |
    `Long` | `getId()` |
    `String` | `getText()` |
    `int` | `hashCode()` |
    `void` | `readExternal​(ObjectInput in)` |
    `void` | `setAddedAt​(Date addedDate)` |
    `void` | `setAddedBy​(org.kie.api.task.model.User addedBy)` |
    `void` | `setId​(long id)` |
    `void` | `setText​(String text)` |
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommentImpl

          public CommentImpl()

  - ### Method Detail

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getId

          public Long getId()

      Specified by:
        `getId` in interface `org.kie.api.task.model.Comment`

    - #### setId

          public void setId​(long id)

      Specified by:
        `setId` in interface `org.kie.internal.task.api.model.InternalComment`

    - #### getText

          public String getText()

      Specified by:
        `getText` in interface `org.kie.api.task.model.Comment`

    - #### setText

          public void setText​(String text)

      Specified by:
        `setText` in interface `org.kie.internal.task.api.model.InternalComment`

    - #### getAddedAt

          public Date getAddedAt()

      Specified by:
        `getAddedAt` in interface `org.kie.api.task.model.Comment`

    - #### setAddedAt

          public void setAddedAt​(Date addedDate)

      Specified by:
        `setAddedAt` in interface `org.kie.internal.task.api.model.InternalComment`

    - #### getAddedBy

          public org.kie.api.task.model.User getAddedBy()

      Specified by:
        `getAddedBy` in interface `org.kie.api.task.model.Comment`

    - #### setAddedBy

          public void setAddedBy​(org.kie.api.task.model.User addedBy)

      Specified by:
        `setAddedBy` in interface `org.kie.internal.task.api.model.InternalComment`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`